Page MenuHomePhabricator

Wikitech: Switch over from using extension SemanticForms to PageForms
Closed, DeclinedPublic

Description

The reason is because SemanticForms was renamed to PageForms and as of 01/11/16, SemanticForms has been discontinued and all development now happends on PageForms.

The only wiki using this extension is Wikitech.

Also see T147582

Event Timeline

Paladox created this task.Nov 1 2016, 9:33 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptNov 1 2016, 9:33 PM

Change 319131 had a related patch set uploaded (by Paladox):
Wikitech: Switching from using SemanticForms to PageForms extension

https://gerrit.wikimedia.org/r/319131

Please note we don't use an up to date version of Semantic MediaWiki on wikitech, but an unsupported one.

@Dereckson SemanticMediaWiki is no longer needed for the rebranded extension which is why it was rebranded. It should still support this SemanticMediaWiki version.

Dereckson triaged this task as Lowest priority.Nov 2 2016, 2:26 AM
Dereckson added a project: TechCom-RFC.
Dereckson edited projects, added wikitech.wikimedia.org; removed TechCom-RFC.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptNov 2 2016, 2:27 AM

@Andrew Could you comment on this issue?

Reedy added a comment.Nov 3 2016, 12:11 AM

@Dereckson SemanticMediaWiki is no longer needed for the rebranded extension which is why it was rebranded. It should still support this SemanticMediaWiki version.

"should"? Does it or does it not? I guess we use SMW and SF in conjunction with each other... so just because new PF doesn't need SMW, doesn't mean we can do this

I don't think we can deploy PageForms to the cluster given https://gerrit.wikimedia.org/r/#/c/317279/

@Reedy - SF/PF's support for SMW (in terms of handling old versions) hasn't changed in a long time, for what it's worth.

Change 319131 abandoned by Reedy:
Wikitech: Switching from using SemanticForms to PageForms extension

Reason:
https://gerrit.wikimedia.org/r/#/c/327307/

https://gerrit.wikimedia.org/r/319131

Reedy added a comment.Mar 17 2017, 4:38 PM

Depending on how long that ends up taking... I may suggest we jfdi this for the security stuff bawolff reported and is being fixed

Also, we should stop branching PageForms. I think i have a patch on gerrit for it

Change 337746 had a related patch set uploaded (by Reedy):
[mediawiki/tools/release] Stop branching PageForms

https://gerrit.wikimedia.org/r/337746

Change 337746 merged by jenkins-bot:
[mediawiki/tools/release] Stop branching PageForms

https://gerrit.wikimedia.org/r/337746